#pragma once

#ifndef MGML_GUARDIAN
	#include "../CSL/MGML.h"
#endif


struct Input : public MGML_MATH::SSE_Aligned_Object
{
	Input() 
	{
		exit_status = false;
		trace_depth = 4;
		shadows = false;
		spacePressed = false;
		changeCannonPhi = 0;
		changeCannonTheta = 0; 
		changeCannonStartVel = 0;
	}

	void reset();

	MGML::vec4f cam_rot, cam_mov;
	int mx,my;
	bool ldown;		//    ?
	bool rdown;		//    ?
	bool exit_status;
	bool spacePressed;

	float changeCannonPhi;
	float changeCannonTheta;
	float changeCannonStartVel;

	int trace_depth;
	bool shadows;

	void Mouse(int button, int state, int x, int y); //  
	void MouseMotion(int x, int y);                  // 
	void Keyboard(unsigned char key,int x,int y);   //
	void KeyboardSpecial(int key, int x, int y);   //  
};

